OP_SHA256 mismatch!

1

i recently tried installed java 7 on ubuntu 12.04 and i think i screwed something up

I followed the instructions given here.

First you need to remove openjdk for this run the following command from your terminal sudo apt-get purge openjdk* Now you can install Java7 by adding the following repository: sudo add-apt-repository ppa:eugenesan/java sudo apt-get update sudo apt-get install oracle-java7-installer

Now everytime i install a new program i get the following error:

Download done. sha256sum mismatch jdk-7u3-linux-x64.tar.gz Oracle JDK 7 is NOT installed. dpkg: error processing oracle-java7-installer (--configure): subprocess installed post-installation script returned error exit status 1 Setting up python-central (0.6.17ubuntu1) ... Setting up python-eggtrayicon (2.25.3-11) ... Setting up gmail-notify (1.6.1.1-1ubuntu1) ... Processing triggers for python-central ... Errors were encountered while processing: oracle-java7-installer Error in function:...
0 0
2

Hi, I do not know terminal much but I Really need to install YakYak, a desktop client for Google Hangouts on Mac. I wish they had made a DMG file, but considering it is only installable via Homebrew, help me with this error please.

FDLMC680:~ Murali$ brew update && brew upgrade brew-cask && brew cleanup && brew cask cleanup
Updated 1 tap (caskroom/cask).
No changes to formulae.

Error: No available formula with the name "brew-cask"
FDLMC680:~ Murali$
FDLMC680:~ Murali$ brew update && brew cask uninstall qlmarkdown --force && brew cask cleanup && brew cask install qlmarkdown
Already up-to-date.
==> Removing cached downloads
/Users/murali/Library/Caches/Homebrew/Cask/.DS_Store
==> This operation has freed approximately 6K of disk space.
==> Downloading https://github.com/toland/qlmarkdown/releases/download/v1.3.5/QL
######################################################################## 100.0%
==> Verifying checksum...

0 0
3

felemur wrote:This event makes it clear why we should always do the check sum.

Heavens yes. New users need to interact with the system. Hands dirty, sleeves rolled up. Using Linux is Work.

If it was easy, it wouldn't be worth doing.

1st pass:
Easy method

2nd pass:
Re-Download again and this time pick the same mirror.

Repeat integrity check.

3rd pass:
If that fails, pick another mirror (I picked this from FF history here) and this time, I'd grabbed these manually.

Code: Select all

http://mirrors.advancedhosters.com/linuxmint/isos/stable/18/sha256sum.txt
http://mirrors.advancedhosters.com/linuxmint/isos/stable/18/sha256sum.txt.gpg
http://mirrors.advancedhosters.com/linuxmint/isos/stable/18/linuxmint-18-cinnamon-64bit.iso

or wget those from file

vi ~/Downloads/mint18files

Code: Select all

http://mirrors.advancedhosters.com/linuxmint/isos/stable/18/sha256sum.txt
...
0 0
4

I'm going to guess it's running on your NVR appliance? Several of us tested this, myself included, and unfortunately we couldn't duplicate the issue. However, at least one other user encountered this issue, and it was easily fixed.

When I tested I specifically didn't touch any settings, but it appears that some users need to. Please add the following to your system.properties file:

unifi.https.ciphers=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,TLS_ECDHE_RSA_WITH_RC4_128_SHA,TLS_RSA_WITH_AES_128_CBC_SHA256,TLS_RSA_WITH_AES_128_CBC_SHA,TLS_RSA_WITH_AES_256_CBC_SHA256,TLS_RSA_WITH_AES_256_CBC_SHA,SSL_RSA_WITH_RC4_128_SHA

Credits to @jebc4 who first posted this solution. You can find the OP HERE (need beta access on your account). I pasted the fix for those who don't have beta access on their community...

0 0
5

MacOS 10.12.1

$ brew update
Already up-to-date.
$ brew install Caskroom/cask/deadbeef
==> brew cask install Caskroom/cask/deadbeef
==> Downloading https://downloads.sourceforge.net/deadbeef/deadbeef-devel-osx-x86_64.zip
Already downloaded: /Users/anton/Library/Caches/Homebrew/Cask/deadbeef--0.7.2.zip
==> Verifying checksum for Cask deadbeef
==> Note: running "brew update" may fix sha256 checksum errors
Error: sha256 mismatch
Expected: 8da871c4f8ab19515bb85119a85b32ed3917a8c01074afb8861a00debd3bb38e
Actual: 6b6be9dd564516b1c2c47362c81530a367245863cab894db0639514ca2e452fa
File: /Users/anton/Library/Caches/Homebrew/Cask/deadbeef--0.7.2.zip
To retry an incomplete download, remove the file above.

Comments from Developer:
You should not rely on a checksum of the CI build artifact.
It rebuilds after every code change automatically, and of course the checksum changes every time.
Deadbeef on macOS has...

0 0
6

Today, I got Error: SHA256 mismatch when update php

==> Upgrading php55 ==> Downloading http://www.php.net/get/php-5.5.11.tar.bz2/from/this/mirror ######################################################################## 100.0% Error: SHA256 mismatch Expected: 60e14c255f2a461a7a26639b84a2fc448cc2f91c8dead0e9fd00cd8ba27a2e96 Actual: be28ddc5b7276c3b39d645d2df09ab44f07ec9103c77c5a9b710be30bfc3c9fc Archive: /Library/Caches/Homebrew/php55-5.5.11 To retry an incomplete download, remove the file above.

Download link appears to be an error, editing the download URL to use a http://uk1.php.net instead of http://www.php.net in this file (around line 60):

/usr/local/Library/Taps/josegonzalez/homebrew-php/Formula/abstract-php-version.rb

modify like this

module Php55Defs PHP_SRC_TARBALL = 'http://uk1.php.net/get/php-5.5.11.tar.bz2/from/this/mirror' PHP_GITHUB_URL = 'https://github.com/php/php-src.git' PHP_VERSION = '5.5.11' PHP_BRANCH = 'PHP-5.5' PHP_CHECKSUM...
0 0
7
Post by Nerijus Baliunas

# opkg install zabbix-agentd

Installing zabbix-agentd (2.4.6-1) to root...

Downloading http://downloads.openwrt.org/chaos_calmer/15.05/ar71xx/

generic/packages/packages/zabbix-agentd_2.4.6-1_ar71xx.ipk.

* opkg_install_pkg: Package zabbix-agentd sha256sum mismatch. Either the opkg

or the package index are

corrupt. Try 'opkg update'.


Router is TP-Link Archer C7 v2. Tried to use -force-checksum:

# opkg install --force-checksum zabbix-agentd

Installing zabbix-agentd (2.4.6-1) to root...

Downloading http://downloads.openwrt.org/chaos_calmer/15.05/ar71xx/

generic/packages/packages/zabbix-agentd_2.4.6-1_ar71xx.ipk.

Ignored zabbix-agentd sha256sum mismatch.

Collected errors:

* deb_extract: /tmp/opkg-JC3jDv/zabbix-agentd_2.4.6-1_ar71xx.ipk: invalid

magic

* opkg_install_pkg: Failed to unpack control files from...

0 0
8

Couple of things to check for,

Make sure all your custom maps and mods do not have any spaces in the file name Example (Custom map.pk3), always make sure you have a (-) or (_) in the file name (Custom_map.pk3).

Organize your custom pk3's!! Consider
z_custom_Map1.pk3
z_custom_map 2.pk3 (so on and so forth)
zz_bloodmod.pk3
zzz_my_custom_soundmod.pk3
zzzz_top-notch-Sniper_Scope.pk3

This will assure your custom pk3's load after the stock pack files. If you still have a problem, move all custom pk3's out of your main, and move each one back in, one at a time, start up the game, and see which one is causing you the problem.

The pak sum/ name mismatch is most likely a mod that is loading up before the pack files or you have a mod that is improperly named by having a space in...

0 0
9

The Debian repository format was designed a long time ago. The oldest versions of it were produced with the help of tools such as dpkg-scanpackages and consumed by dselect access methods such as dpkg-ftp. The access methods just fetched a Packages file (perhaps compressed) and used it as an index of which packages were available; each package had an MD5 checksum to defend against transport errors, but being from a more innocent age there was no repository signing or other protection against man-in-the-middle attacks.

An important and intentional feature of the early format was that, apart from the top-level Packages file, all other files were static in the sense that, once published, their content would never change without also changing the file name. This means that repositories can be efficiently copied around using rsync without having to tell it to re-checksum all files, and it avoids network races when fetching updates: the repository you’re updating from might change...

0 0
10

Download done.

Removing outdated cached downloads...

sha256sum mismatch jdk-8u111-linux-x64.tar.gz

Oracle JDK 8 is NOT installed.

dpkg: error processing package oracle-java8-installer (--configure):

subprocess installed post-installation script returned error exit status 1

dpkg: dependency problems prevent configuration of oracle-java8-set-default:

oracle-java8-set-default depends on oracle-java8-installer; however:

Package oracle-java8-installer is not configured yet.

dpkg: error processing package oracle-java8-set-default (--configure):

dependency problems - leaving unconfigured

No apport report written because the error message indicates its a followup error from a previous failure.

Errors were encountered while processing:

oracle-java8-installer

oracle-java8-set-default

E: Sub-process /usr/bin/dpkg returned an error code...

0 0
11

M Boyle wrote:

Hmm, assuming it is publicly accessible throw the link into this:

https://www.ssllabs.com/ssltest/

See what if any errors it throws up.

:)

jffnuggets Feb 1, 2016 at 6:02 PM

All RC4 ciphers are set to Enable=0 and SSLv3 was disabled as well. Still, ssllabs.com flags the site for both. This server uses SSL 3, which is obsolete and insecure. Grade capped to B. MORE INFO » The server supports only older protocols, but not the current best TLS 1.2. Grade capped to C. MORE INFO » Thanks all for any help...

All RC4 ciphers are set to Enable=0 and SSLv3 was disabled as well. Still, ssllabs.com flags the site for both.

This server uses SSL 3, which is obsolete and insecure. Grade capped to B. MORE INFO »

The server supports only older protocols, but not the current best TLS 1.2. Grade capped to C. MORE INFO »

Thanks all for any...

0 0
12
Checksum mismatch error

One fairly common portupgrade (and first time install for that matter) error is "checksum mismatch." (bash seems to be particularly prone to this error). The error will manifest itself in a scenario something like this:

fongsaiyuk# portupgrade bash
---> Upgrading 'bash-3.1.16' to 'bash-3.1.17' (shells/bash)
---> Building '/usr/ports/shells/bash'
===> Cleaning for gettext-0.14.5_2
===> Cleaning for libtool-1.5.22_2
===> Cleaning for libiconv-1.9.2_2
===> Cleaning for bash-3.1.17
===> Vulnerability check disabled, database not found
=> bash31-017 doesn't seem to exist in /usr/ports/distfiles/bash.
=> Attempting to fetch from http://ftp.gnu.org/gnu/bash/bash-3.1-patches//.
bash31-017 nbsp;100% of 3640 B 1682 kBps
===> Extracting for bash-3.1.17
=> MD5 Checksum OK for bash/bash-3.1.tar.gz.
=> SHA256 Checksum OK for bash/bash-3.1.tar.gz.
=> MD5 Checksum OK for...

0 0
13

When I upgraded to Ubuntu 12.04, all the sudden I couldn't install Java (sha256sum mismatch jdk-7u3-linux-x64.tar.gz), which means I can't do much deving. Well I searched through the interweb and finally found a solution.

First:

sudo add-apt-repository ppa:eugenesan/java sudo apt-get update sudo apt-get install oracle-java7-installer

By now, you have probably gotten an error and the terminal has stated that Java was not installed. No problem.

Second:

Download Java directly from Oracle: http://www.oracle.co...ad-1501626.html

Now, move what you just downloaded to /var/cache/oracle-java7-installer/

Third:

sudo gedit /var/lib/dpkg/info/oracle-java7-installer.postinst

Now scroll down and find the following:

echo "Downloading..." rm -f $FILENAME WGETRC=wgetrc wget $PARTNER_URL || fp_exit_with_error "download failed" rm -f wgetrc echo "Download done."

Now put a # next to each line between "Downloading..." and "Downloading...

0 0
14

Dear colleagues,

I’m seeking help to try to solve a problem that is desperating me!!!

I have a JSP where I include the following CSS and JavaScript files like this:

It seems that everything must be OK, but the JSP appears on the navigator, I realize that the CSS and JavaScript files are ignored…

In the IE Web Console I get the error message “"CSS was ignored due to mime type mismatch" …

I can’t understand the reason of this message. As you can see, I state rel="stylesheet" type="text/css" .

It must be something very stupid, but so far I was not able to find the root of this error.

Hope someone could give me a helping hand…

Thank you very much in advance for your attention.

Kind...

0 0
15

Typically when a Client and Server communicate via SSL/TLS, they must use a common cipher algorithm. If they are unable to find a common algorithm, the SSL/TLS connection will fail with the exception, "The client and server cannot communicate, because they do not possess a common algorithm" using the SSLStream class. Internally, SSLStream calls AcquireCredentialsHandle() which fails with SEC_E_ALGORITHM_MISMATCH (0x80090331).

I recently encountered the following issue. My customer was trying to use one of the following ciphers between a client & server:

TLS_RSA_WITH_AES_128_CBC_SHA256 TLS_RSA_WITH_AES_256_CBC_SHA256 TLS_RSA_WITH_AES_128_CBC_SHA TLS_RSA_WITH_AES_256_CBC_SHA

When attempting to use any of the above ciphers, the server was failing. If they used any of the following algorithms, it worked fine:

TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256 TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA

It turns out you can encounter this error...

0 0
16
Based on recent feedback and findings on this problem, I've rewritten the question to get rid of noise.
I have 2 separate code paths, one in Java (Android), one and Python which accomplish the following for the purposes of negotiating a pairing between an Android device and a Python/Django.
Java:Generate a syncKeyHash a concatenated string of various values using the presharedKey (including the syncKey)Encrypt the syncKey using a presharedKeySend the Hash, encrypted syncKey, DeviceId and arbitrary variables to web server
PythonGet the presharedKey from the deviceIdDecrypt the encrypted syncKeyHash a concatenated string of various values using the presharedKey (including the decrypted syncKey)Make sure the hash matches, which confirms that the syncKey was decrypted successfully, and that the deviceId holds the correct presharedKey.
Now this process works if I send the syncKey unencrypted. The final hash matches, which proves the deviceId has the correct...
0 0
17
Ok, for Mac users (OSX). First the setup.
Download SDK: Android SDK | Android Developers
Extract and place the folder somewhere (doesn't matter where)
On your phone, make sure USB debebugging is enabled.
Reboot to recovery. Connect USB to phone/computer.
Go to partitions menu and select mount SD card.

Now you need to path to the tools folder in SDK. Open the android_sdk folder, you should see a bunch of folders in there, amongst them a "tools" folder.

Open terminal. Type cd [hit space bar]
Now drag the tools folder to your terminal window and it should propogate the path for you. Hit enter.

In terminal, type ./adb devices
If you see your device, then you're good to go. Notice that for Mac's you need to add the "./" in front of adb commands.

Now you can follow the commands in the post I did before. Just remember for Mac's it's ./adb shell, not adb shell. All other commands are exactly the same, no need to add the...

0 0
18

Stealth update again. If you haven't already, you may want to get in touch with the developers of this software to explain to them why stealth updates are a bad idea.

$ sudo port -v checksum druntime ---> Fetching distfiles for druntime ---> druntime-2.066.tar.gz doesn't seem to exist in /Users/rschmidt/macports/distfiles/druntime/2.066_1 ---> Attempting to fetch druntime-2.066.tar.gz from https://github.com/D-Programming-Language/druntime/tarball/2.066 % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 145 0 145 0 0 357 0 --:--:-- --:--:-- --:--:-- 357 100 685k 100 685k 0 0 567k 0 0:00:01 0:00:01 --:--:-- 5863k ---> Verifying checksums for druntime ---> Checksumming druntime-2.066.tar.gz Error: Checksum (rmd160) mismatch for druntime-2.066.tar.gz Portfile checksum: druntime-2.066.tar.gz rmd160 1fd3f8f4c3752888d91dc65bf1190e7300880fe2 Distfile checksum: druntime-2.066.tar.gz rmd160...
0 0
19

My Customer Edge router syslg is filled up with these error messages....

*Apr 21 06:45:40.443 AST: %IGMP-3-QUERY_INT_MISMATCH: Received a non-matching query interval 25, from querier address 10.6.1.200

*Apr 21 06:46:55.546 AST: %IGMP-3-QUERY_INT_MISMATCH: Received a non-matching query interval 25, from querier address 10.6.1.200

*Apr 21 06:48:10.421 AST: %IGMP-3-QUERY_INT_MISMATCH: Received a non-matching query interval 25, from querier address 10.6.1.200

*Apr 21 06:49:25.895 AST: %IGMP-3-QUERY_INT_MISMATCH: Received a non-matching query interval 25, from querier address 10.6.1.200

*Apr 21 06:50:40.234 AST: %IGMP-3-QUERY_INT_MISMATCH: Received a non-matching query interval 25, from querier address 10.6.1.200

I enabled NetFlow and I can see them....

puerto-rico-caguas-mpls#show ip cache flow | include 10.6.1.200

Gi0/0.100 10.6.1.200 Null 224.0.0.22 02 0000 0094 1

Gi0/0.100 10.6.1.200 Null 224.0.0.1 ...

0 0